Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.text
Interface CloneableEditorSupport.Env

All Superinterfaces:
  org.openide.windows.CloneableOpenSupport.Env, Serializable

Enclosing class:
  CloneableEditorSupport

    public static interface CloneableEditorSupport.Env

extends org.openide.windows.CloneableOpenSupport.Env

Interface for providing data for the support and also locking the source of data.

Field Summary
`static String` | `PROP_TIME` property that is fired when time of the data is changed

Fields inherited from interface org.openide.windows.CloneableOpenSupport.Env
`PROP_MODIFIED, PROP_VALID`

Method Summary
`String` | `getMimeType()` Mime type of the document.
`Date` | `getTime()` Gets the last modification time for the document.
`InputStream` | `inputStream()` Obtains the input stream.
`OutputStream` | `outputStream()` Obtains the output stream.

Methods inherited from interface org.openide.windows.CloneableOpenSupport.Env
`addPropertyChangeListener, addVetoableChangeListener, findCloneableOpenSupport, isModified, isValid, markModified, removePropertyChangeListener, removeVetoableChangeListener, unmarkModified`

Field Detail

### PROP_TIME

    static final String PROP_TIME

  property that is fired when time of the data is changed

  See Also:
    Constant Field Values

Method Detail

### inputStream

    InputStream inputStream()
                            throws IOException

  Obtains the input stream.

  Returns:
    an input stream permitting the document to be loaded
  Throws:
    `IOException` - if an I/O error occures

### outputStream

    OutputStream outputStream()
                              throws IOException

  Obtains the output stream.

  Returns:
    an output stream permitting the document to be saved
  Throws:
    `IOException` - if an I/O error occures

### getTime

    Date getTime()

  Gets the last modification time for the document.

  Returns:
    the date and time when the document is considered to have been last changed

### getMimeType

    String getMimeType()

  Mime type of the document.

  Returns:
    the mime type to use for the document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.